[Package]
Name="jki_lib_rest_client"
Version="2.1.0.34"
Release=""
ID=01e69f9e11cd339a3e6ee69c7e20c041
File Format="vip"
Format Version="2017"
Display Name="JKI HTTP REST Client"


[Description]
Description="JKI HTTP REST Client is a library for connecting LabVIEW applications with RESTful web services for creating Industrial Internet of Things (IoT) applications. This library extends LabVIEWs native HTTP client with powerful features such as support for the status code, support for multiple parallel requests, support for request specific HTTP headers and support for automatically escaping URLs. These useful features streamline the process of integrating LabVIEW applications with REST based web service APIs."
Summary="HTTP REST Client Library for LabVIEW"
License="BSD"
Copyright="Copyright (c) 2023, JKI"
Distribution=""
Vendor="JKI"
URL="http://jki.net"
Packager="admin"
Demo="FALSE"
Release Notes="- [Feature #27][PR#28] Updated the client to use NI Advanced HTTP Client and added the PATCH method - https://github.com/vipm-io/HTTP-REST-Client/pull/28\0A- [Fix #25][PR#26] Fix for Assert_IsFile method - https://github.com/vipm-io/HTTP-REST-Client/pull/26\0A"
System Package="FALSE"
Sub Package="FALSE"
License Agreement="TRUE"


[LabVIEW]
close labview before install="FALSE"
restart labview after install="FALSE"
skip mass compile after install="FALSE"
install into global environment="FALSE"


[Platform]
Exclusive_LabVIEW_Version="LabVIEW>=20.0"
Exclusive_LabVIEW_System="ALL"
Exclusive_OS="ALL"


[Script VIs]
PreInstall=""
PostInstall=""
PreUninstall=""
PostUninstall=""
Verify=""
PreBuild=""
PostBuild=""


[Dependencies]
AutoReqProv=FALSE
Requires="ni_lib_advanced_http_client_api>=1.0.0.4"
Conflicts=""


[Activation]
License File=""
Licensed Library=""


[Files]
Num File Groups="3"
Sub-Packages=""
Namespaces=""


[File Group 0]
Target Dir="<application>"
Replace Mode="Always"
Num Files=50
File 0="vi.lib/addons/_JKI.lib/REST Client/REST Client.lvlib"
File 1="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Assert_IsFile.vi"
File 2="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Create REST Client.vi"
File 3="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Destroy REST Client.vi"
File 4="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Error Handler.vi"
File 5="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Escape HTTP URL String.vi"
File 6="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Escape URL String.vi"
File 7="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Flush Client Handles.vi"
File 8="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Get client handle.vi"
File 9="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP DELETE.vi"
File 10="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP GET.vi"
File 11="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP HEAD.vi"
File 12="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP Header.ctl"
File 13="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP Methods.ctl"
File 14="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP PATCH.vi"
File 15="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP POST Multipart.vi"
File 16="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP POST.vi"
File 17="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP PUT.vi"
File 18="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/HTTP Request.vi"
File 19="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/New Client Handle.vi"
File 20="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Parse Status Line.vi"
File 21="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Read Base URL.vi"
File 22="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Read Default Headers.vi"
File 23="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Read Escape URLs.vi"
File 24="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Read Timeout.vi"
File 25="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Read Verify Server.vi"
File 26="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Resolve Headers.vi"
File 27="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Resolve URL.vi"
File 28="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/REST Client.lvclass"
File 29="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Return client handle.vi"
File 30="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Write Base URL.vi"
File 31="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Write Default Headers.vi"
File 32="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Write Escape URLs.vi"
File 33="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Write Timeout.vi"
File 34="vi.lib/addons/_JKI.lib/REST Client/classes/REST Client/Write Verify Server.vi"
File 35="vi.lib/addons/_JKI.lib/REST Client/classes/Response Headers/Build Dictionary.vi"
File 36="vi.lib/addons/_JKI.lib/REST Client/classes/Response Headers/Create Response Headers.vi"
File 37="vi.lib/addons/_JKI.lib/REST Client/classes/Response Headers/Get All Headers.vi"
File 38="vi.lib/addons/_JKI.lib/REST Client/classes/Response Headers/Get Header By Name.vi"
File 39="vi.lib/addons/_JKI.lib/REST Client/classes/Response Headers/Parse Headers.vi"
File 40="vi.lib/addons/_JKI.lib/REST Client/classes/Response Headers/Response Headers.lvclass"
File 41="help/JKI/REST Client/README.html"
File 42="examples/JKI/REST Client/examples/JSONPlaceholder/Main.vi"
File 43="examples/JKI/REST Client/examples/JSONPlaceholder/REST.lvproj"
File 44="examples/JKI/REST Client/examples/JSONPlaceholder/Classes/My API/Add Post.vi"
File 45="examples/JKI/REST Client/examples/JSONPlaceholder/Classes/My API/Create My API.vi"
File 46="examples/JKI/REST Client/examples/JSONPlaceholder/Classes/My API/Destroy My API.vi"
File 47="examples/JKI/REST Client/examples/JSONPlaceholder/Classes/My API/Get Post.vi"
File 48="examples/JKI/REST Client/examples/JSONPlaceholder/Classes/My API/My API.lvclass"
File 49="examples/JKI/REST Client/examples/JSONPlaceholder/Classes/My API/Post.ctl"


[File Group 1]
Target Dir="<menus>/Categories/JKI Tools"
Replace Mode="Always"
Num Files=4
File 0="_functions_jki_lib_rest_client_1.mnu"
File 1="_functions_jki_lib_rest_client_2.mnu"
File 2="_functions_jki_lib_rest_client_3.mnu"
File 3="functions_jki_lib_rest_client.mnu"


[File Group 2]
Target Dir="<menus>/Categories/JKI Tools"
Replace Mode="If Newer"
Num Files=1
File 0="dir.mnu"
