[Package]
Name="ni_lib_advanced_http_client_api"
Version="1.1.0.6"
Release=""
ID=49465de17bd14a047e8a4abc30e843c8
File Format="vip"
Format Version="2017"
Display Name="NI Advanced HTTP Client API"


[Description]
Description="This API is intended to be a replacement for the HTTP Client API (Data Communication > Protocols > HTTP Client) that ships with LabVIEW. This new API includes multiple benefits over the existing LabVIEW API including:\0A\0A1. Support for the PATCH verb.\0A2. Support for any arbitrary HTTP verb via a 'Generic Request' VI.\0A3. Better compatibility with newer HTTP versions.\0A4. Multithreading safe operations."
Summary="Updated HTTP Client API that provides PATCH functionality, multithreading safe operations, and other enhancements over the built-in HTTP Client API"
License="MIT"
Copyright="Copyright (c) 2024, NI"
Distribution=""
Vendor="NI"
URL="http://www.ni.com"
Packager="NI"
Demo="FALSE"
Release Notes="Remove To/From UTF-8 conversions on all 'body' and 'data' parameters. If any strings passed to this API for body/data parameters need to be UTF-8, then that conversion must be done prior to calling the function in this API."
System Package="FALSE"
Sub Package="FALSE"
License Agreement="TRUE"


[LabVIEW]
close labview before install="FALSE"
restart labview after install="FALSE"
skip mass compile after install="FALSE"


[Platform]
Exclusive_LabVIEW_Version="LabVIEW>=19.0"
Exclusive_LabVIEW_System="ALL"
Exclusive_OS="Windows NT"


[Script VIs]
PreInstall=""
PostInstall="<OS User Desktop>\\ni-adv-http-api\\Advanced HTTP Client\\Post-Install Custom Action.vi"
PreUninstall=""
PostUninstall=""
Verify=""
PreBuild=""
PostBuild=""


[Dependencies]
AutoReqProv=FALSE
Requires=""
Conflicts=""


[Activation]
License File=""
Licensed Library=""


[Files]
Num File Groups="2"
Sub-Packages=""
Namespaces="6C69625F"


[File Group 0]
Target Dir="<application>"
Replace Mode="Always"
Num Files=36
File 0="vi.lib/NI/Advanced HTTP Client/Add Header.vi"
File 1="vi.lib/NI/Advanced HTTP Client/Close Session.vi"
File 2="vi.lib/NI/Advanced HTTP Client/Configure Proxy Server.vi"
File 3="vi.lib/NI/Advanced HTTP Client/Configure SSL.vi"
File 4="vi.lib/NI/Advanced HTTP Client/DELETE.vi"
File 5="vi.lib/NI/Advanced HTTP Client/Generic Request (Buffer).vi"
File 6="vi.lib/NI/Advanced HTTP Client/Generic Request (File).vi"
File 7="vi.lib/NI/Advanced HTTP Client/Generic Request.vi"
File 8="vi.lib/NI/Advanced HTTP Client/Get Header.vi"
File 9="vi.lib/NI/Advanced HTTP Client/GET.vi"
File 10="vi.lib/NI/Advanced HTTP Client/HEAD.vi"
File 11="vi.lib/NI/Advanced HTTP Client/Header Exists.vi"
File 12="vi.lib/NI/Advanced HTTP Client/Header--Combo Box.ctl"
File 13="vi.lib/NI/Advanced HTTP Client/lib_NI_Advanced HTTP Client.lvlib"
File 14="vi.lib/NI/Advanced HTTP Client/LICENSE"
File 15="vi.lib/NI/Advanced HTTP Client/LICENSE.txt"
File 16="vi.lib/NI/Advanced HTTP Client/List Headers.vi"
File 17="vi.lib/NI/Advanced HTTP Client/lvwebclient_32.dll"
File 18="vi.lib/NI/Advanced HTTP Client/lvwebclient_64.dll"
File 19="vi.lib/NI/Advanced HTTP Client/Multipart Data--cluster.ctl"
File 20="vi.lib/NI/Advanced HTTP Client/Open Session.vi"
File 21="vi.lib/NI/Advanced HTTP Client/OPTIONS.vi"
File 22="vi.lib/NI/Advanced HTTP Client/PATCH (Buffer).vi"
File 23="vi.lib/NI/Advanced HTTP Client/PATCH (File).vi"
File 24="vi.lib/NI/Advanced HTTP Client/PATCH.vi"
File 25="vi.lib/NI/Advanced HTTP Client/POST (Buffer).vi"
File 26="vi.lib/NI/Advanced HTTP Client/POST (File).vi"
File 27="vi.lib/NI/Advanced HTTP Client/POST (Multipart).vi"
File 28="vi.lib/NI/Advanced HTTP Client/Post-Install Custom Action.vi"
File 29="vi.lib/NI/Advanced HTTP Client/POST.vi"
File 30="vi.lib/NI/Advanced HTTP Client/PUT (Buffer).vi"
File 31="vi.lib/NI/Advanced HTTP Client/PUT (File).vi"
File 32="vi.lib/NI/Advanced HTTP Client/PUT.vi"
File 33="vi.lib/NI/Advanced HTTP Client/Remove Header.vi"
File 34="vi.lib/NI/Advanced HTTP Client/Session.lvclass"
File 35="vi.lib/NI/Advanced HTTP Client/Validate and Convert Path.vi"


[File Group 1]
Target Dir="<vi.lib>/addons"
Replace Mode="Always"
Num Files=2
File 0="_functions_ni_lib_advanced_http_client_api_1.mnu"
File 1="functions_ni_lib_advanced_http_client_api.mnu"
